# Specify sip v6 as the build system for the package.
[build-system]
requires = ["sip >=5.0.0, <7", "PyQt-builder >=1.6, <2"]
build-backend = "sipbuild.api"

[tool.sip]
project-factory = "pyqtbuild:PyQtProject"

# Specify the PEP 566 metadata for the project.
[tool.sip.metadata]
name = "test"
version = "3.31.0"
summary = "Python bindings for QGIS"
home-page = "https://qgis.org"
author = "The QGIS Community"
license = "GPL v2"
requires-dist = "PyQt5"

[tool.sip.project]
#sip-include-dirs = [ "/usr/lib/python3/dist-packages/PyQt6/bindings" ]
sip-include-dirs = [ "/usr/lib64/python3.12/site-packages/PyQt6/bindings/" ]

[tool.sip.bindings.test]
#include-dirs = ["/home/julien/myconf/sip-examples/test"]
include-dirs = ["/root/test/"]